{
  "name": "codeflash-api",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "scripts": {
    "npx": "npx",
    "build": "npm install --loglevel verbose && npx prisma generate",
    "deploy": "az webapp up -n codeflash-api --sku P1V2 --runtime NODE:20-lts",
    "start": "npx tsx index.ts"
  },
  "dependencies": {
    "@awaitjs/express": "^0.9.0",
    "@azure/identity": "^4.0.0",
    "@azure/keyvault-keys": "^4.7.2",
    "@azure/keyvault-secrets": "^4.7.0",
    "@codeflash-ai/common": "1.0.8",
    "@notionhq/client": "^2.2.14",
    "@prisma/client": "^5.15.0",
    "@sentry/node": "^8.7.0",
    "@sentry/profiling-node": "^8.7.0",
    "@slack/web-api": "^7.4.0",
    "auth0": "^4.2.0",
    "body-parser": "^1.20.2",
    "code-suggester": "^4.3.3",
    "cors": "^2.8.5",
    "dotenv": "^16.3.1",
    "express": "^4.19.2",
    "http": "^0.0.1-security",
    "node-fetch": "^3.3.2",
    "octokit": "^4.0.2",
    "posthog-node": "^4.0.0",
    "tsx": "^4.1.4"
  },
  "devDependencies": {
    "@tsconfig/node20": "^20.1.2",
    "@types/body-parser": "^1.19.5",
    "@types/cors": "^2.8.17",
    "@types/express": "^4.17.21",
    "@types/jest": "^29.5.11",
    "eslint": "^8.54.0",
    "eslint-config-next": "14.2.3",
    "eslint-config-prettier": "^9.1.0",
    "eslint-config-standard-with-typescript": "^43.0.1",
    "eslint-plugin-import": "^2.29.0",
    "eslint-plugin-promise": "^6.1.1",
    "jest": "^29.7.0",
    "prettier": "3.2.5",
    "prisma": "^5.15.0",
    "ts-jest": "^29.1.1"
  }
}
